Config::Model::Utils::GenClassPod(3pm)

NAME
Config::Model::Utils::GenClassPod - generate pod documentation from configuration models

VERSION
version 2.165

SYNOPSIS
 use Config::Model::Utils::GenClassPod;
 gen_class_pod;

 # or

 gen_class_pod('Foo','Bar',...)

DESCRIPTION
This module provides a single exported function: "gen_class_pod".

This function scans "./lib/Config/Model/models/*.d" and generate pod documentation for each file found there using Config::Model::generate_doc

You can also pass one or more class names. "gen_class_pod" writes the documentation for each passed class and all other classes used by the passed classes.

AUTHOR
Dominique Dumont

COPYRIGHT AND LICENSE
This software is Copyright (c) 2005-2022 by Dominique Dumont.

This is free software, licensed under:

  The GNU Lesser General Public License, Version 2.1, February 1999